scala.tools.reflect

# StdRuntimeTags

#### object StdRuntimeTags extends StdTags

Source
  StdTags.scala

Linear Supertypes
StdTags, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. StdRuntimeTags
2. StdTags
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### val m: Mirror

    Definition Classes
      StdRuntimeTags → StdTags

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### lazy val tagOfBigDecimal: reflect.api.JavaUniverse.TypeTag[BigDecimal]

    Definition Classes
      StdTags

18. #### lazy val tagOfBigInt: reflect.api.JavaUniverse.TypeTag[BigInt]

    Definition Classes
      StdTags

19. #### lazy val tagOfCalendar: reflect.api.JavaUniverse.TypeTag[Calendar]

    Definition Classes
      StdTags

20. #### lazy val tagOfClassLoader: reflect.api.JavaUniverse.TypeTag[ClassLoader]

    Definition Classes
      StdTags

21. #### lazy val tagOfDate: reflect.api.JavaUniverse.TypeTag[Date]

    Definition Classes
      StdTags

22. #### lazy val tagOfDirectory: reflect.api.JavaUniverse.TypeTag[Directory]

    Definition Classes
      StdTags

23. #### lazy val tagOfFile: reflect.api.JavaUniverse.TypeTag[File]

    Definition Classes
      StdTags

24. #### lazy val tagOfInt: reflect.api.JavaUniverse.TypeTag[Int]

    Definition Classes
      StdTags

25. #### lazy val tagOfListOfString: reflect.api.JavaUniverse.TypeTag[List[String]]

    Definition Classes
      StdTags

26. #### def tagOfStaticClass[T](implicit arg0: ClassTag[T]): reflect.api.JavaUniverse.TypeTag[T]

    Attributes
      protected
    Definition Classes
      StdTags

27. #### lazy val tagOfString: reflect.api.JavaUniverse.TypeTag[String]

    Definition Classes
      StdTags

28. #### lazy val tagOfThrowable: reflect.api.JavaUniverse.TypeTag[java.lang.Throwable]

    Definition Classes
      StdTags

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### val u: universe.type

    Definition Classes
      StdRuntimeTags → StdTags

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from StdTags

### Inherited from AnyRef

### Inherited from Any

### Ungrouped